# Interface CKNode

interface CKNode {
_children : CKNode [];
childCount : number;
data : string;
isEmpty : boolean;
name : string;
root : {
document: {
model: {
markers: { getMarkersIntersectingRange(range: TextRange ): Marker [] };
createRangeIn(el: CKNode ): TextRange ;
};
};
};
startOffset : number;
getAttribute (name: string): string;
getChild (index: number): CKNode ;
is (type: string, name?: string): any;
toJSON (): object;
}

- Defined in src/public/app/types.d.ts:298

##### Index

### Properties

_children
childCount
data
isEmpty
name
root
startOffset

### Methods

getAttribute
getChild
is
toJSON

## Properties

### _children

_children: CKNode []

- Defined in src/public/app/types.d.ts:299

### childCount

childCount: number

- Defined in src/public/app/types.d.ts:301

### data

data: string

- Defined in src/public/app/types.d.ts:307

### isEmpty

isEmpty: boolean

- Defined in src/public/app/types.d.ts:302

### name

name: string

- Defined in src/public/app/types.d.ts:300

### root

root: {
document: {
model: {
markers: { getMarkersIntersectingRange(range: TextRange ): Marker [] };
createRangeIn(el: CKNode ): TextRange ;
};
};
}

- Defined in src/public/app/types.d.ts:309

### startOffset

startOffset: number

- Defined in src/public/app/types.d.ts:308

## Methods

### getAttribute

- getAttribute(name: string): string

  #### Parameters

  - name: string

  #### Returns string

  - Defined in src/public/app/types.d.ts:305

### getChild

- getChild(index: number): CKNode

  #### Parameters

  - index: number

  #### Returns CKNode

  - Defined in src/public/app/types.d.ts:306

### is

- is(type: string, name?: string): any

  #### Parameters

  - type: string
  - `Optional` name: string

  #### Returns any

  - Defined in src/public/app/types.d.ts:304

### toJSON

- toJSON(): object

  #### Returns object

  - Defined in src/public/app/types.d.ts:303